OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.Sync

Contents

- Functions
- Tokens
- Types

Description

All raw functions, tokens and types from the ARB_sync extension, see http://www.opengl.org/registry/specs/ARB/sync.txt.

Synopsis

- glFenceSync :: GLenum -> GLbitfield -> IO GLsync
- glIsSync :: GLsync -> IO GLboolean
- glDeleteSync :: GLsync -> IO ()
- glClientWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO GLenum
- glWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO ()
- glGetInteger64v :: GLenum -> Ptr GLint64 -> IO ()
- glGetSynciv :: GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> IO ()
- gl_MAX_SERVER_WAIT_TIMEOUT :: GLenum
- gl_OBJECT_TYPE :: GLenum
- gl_SYNC_CONDITION :: GLenum
- gl_SYNC_STATUS :: GLenum
- gl_SYNC_FLAGS :: GLenum
- gl_SYNC_FENCE :: GLenum
- gl_SYNC_GPU_COMMANDS_COMPLETE :: GLenum
- gl_UNSIGNALED :: GLenum
- gl_SIGNALED :: GLenum
- gl_SYNC_FLUSH_COMMANDS_BIT :: GLenum
- gl_TIMEOUT_IGNORED :: GLuint64
- gl_ALREADY_SIGNALED :: GLenum
- gl_TIMEOUT_EXPIRED :: GLenum
- gl_CONDITION_SATISFIED :: GLenum
- gl_WAIT_FAILED :: GLenum
- type GLint64 = Int64
- type GLuint64 = Word64
- type GLsync = Ptr ()

# Functions

glFenceSync :: GLenum -> GLbitfield -> IO GLsync Source

glIsSync :: GLsync -> IO GLboolean Source

glDeleteSync :: GLsync -> IO ()Source

glClientWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO GLenum Source

glWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO ()Source

glGetInteger64v :: GLenum -> Ptr GLint64 -> IO ()Source

glGetSynciv :: GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> IO ()Source

# Tokens

gl_MAX_SERVER_WAIT_TIMEOUT :: GLenum Source

gl_OBJECT_TYPE :: GLenum Source

gl_SYNC_CONDITION :: GLenum Source

gl_SYNC_STATUS :: GLenum Source

gl_SYNC_FLAGS :: GLenum Source

gl_SYNC_FENCE :: GLenum Source

gl_SYNC_GPU_COMMANDS_COMPLETE :: GLenum Source

gl_UNSIGNALED :: GLenum Source

gl_SIGNALED :: GLenum Source

gl_SYNC_FLUSH_COMMANDS_BIT :: GLenum Source

gl_TIMEOUT_IGNORED :: GLuint64 Source

gl_ALREADY_SIGNALED :: GLenum Source

gl_TIMEOUT_EXPIRED :: GLenum Source

gl_CONDITION_SATISFIED :: GLenum Source

gl_WAIT_FAILED :: GLenum Source

# Types

type GLint64 = Int64 Source

type GLuint64 = Word64 Source

type GLsync = Ptr ()Source